using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class pphy
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public pphy()
       {
           Fields.AddRange(new MetaNode[] {
           new Bitmask("Flags", new string[] { "unused", "Collides_With_Structures", "Collides_With_Water_Surface", "Uses_Simple_Wind", "Uses_Dampened_Wind", "No_Gravity" }, 32),
           new Value("Density", typeof(float)),
           new Value("Air Friction", typeof(float)),
           new Value("Water Friction", typeof(float)),
           new Unused(16),
           new Value("Surface Friction", typeof(float)),
           new Value("Elasticity", typeof(float)),
           new Unused(24),
           });
       }
    }
}
